classification
Title: Add deprecated-remove information on stream doc
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, docs@python, eamanu, gvanrossum, iritkatriel
Priority: normal Keywords: patch

Created on 2019-05-31 01:40 by eamanu, last changed 2020-10-20 23:26 by iritkatriel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13672 merged eamanu, 2019-05-31 01:41
Messages (7)
msg344015 - (view) Author: Emmanuel Arias (eamanu) * Date: 2019-05-31 01:40
According to the code on streams.py the functions:
open_connection(), start_server(), open_unix_connection(),
start_unix_server() are deprecated. I inform that on
documentation.
msg344121 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-05-31 20:49
New changeset ed9f3562b637a59b9000abbceee5ae369d35444d by Andrew Svetlov (Emmanuel Arias) in branch 'master':
bpo-37105: Add deprecated-remove information on stream doc (#13672)
https://github.com/python/cpython/commit/ed9f3562b637a59b9000abbceee5ae369d35444d
msg377045 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-09-17 08:34
I think this issue can be closed because the deprecation info was added. If it's staying open for the actual removal in 3.10, should the title change accordingly?
msg379166 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-20 21:30
I'd say close it, the deprecation can be a separate issue (usually is) and I don't think we need to backport such a minor docs issue to 3.8. The PR is old enough that it made 3.9+3.10 I think (did you check?).
msg379167 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-20 21:43
I checked earlier that it's not in 3.8 and 3.9, but now I double-checked and saw that it's not in master either. It was reverted here: 
https://github.com/python/cpython/pull/13251
msg379168 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-20 21:46
Or more directly here: https://github.com/python/cpython/commit/6758e6e12a71ef5530146161881f88df1fa43382#diff-f82013fb4ae87c622d4c38a232b5a52e72ce06cd0f956b3d4684341f18890baa
msg379170 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-20 21:51
Whoops, never mind me. Irit can you friend me on Discourse?
History
Date User Action Args
2020-10-20 23:26:58iritkatrielsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-20 21:51:29gvanrossumsetmessages: + msg379170
2020-10-20 21:46:57iritkatrielsetmessages: + msg379168
2020-10-20 21:43:10iritkatrielsetmessages: + msg379167
2020-10-20 21:30:54gvanrossumsetnosy: + gvanrossum
messages: + msg379166
2020-09-17 08:34:35iritkatrielsetnosy: + iritkatriel
messages: + msg377045
2019-05-31 20:49:05asvetlovsetnosy: + asvetlov
messages: + msg344121
2019-05-31 01:41:12eamanusetkeywords: + patch
stage: patch review
pull_requests: + pull_request13578
2019-05-31 01:40:39eamanucreate